Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp.extensions
Class AFPPageSetupElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject
              org.apache.fop.render.afp.extensions.AFPPageSetupElement

All Implemented Interfaces:
  java.lang.Cloneable

public class AFPPageSetupElement
extends AbstractAFPExtensionObject

This class extends the org.apache.fop.extensions.ExtensionObj class. The object faciliates extraction of elements from formatted objects based on the static list as defined in the AFPElementMapping implementation.

Nested Class Summary

Nested classes inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary

Fields inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject
`extensionAttachment, name`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`AFPPageSetupElement(FONode parent, java.lang.String name)` Constructs an AFP object (called by Maker).

Method Summary
`protected void` | `characters(char[] data, int start, int length, PropertyList pList, org.xml.sax.Locator locator)` Adds characters. Does nothing by default. To be overridden in subclasses that allow `#PCDATA` content.
`protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object
`void` | `processNode(java.lang.String elementName, org.xml.sax.Locator locator, org.xml.sax.Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
`protected void` | `startOfNode()` Called after processNode() is called. Subclasses can do additional processing.

Methods inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject
`endOfNode, getExtensionAttachment, getLocalName, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

Methods inherited from class org.apache.fop.fo.FONode
`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, removeChild, setLocator, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPPageSetupElement

    public AFPPageSetupElement(FONode parent,
                               java.lang.String name)

  Constructs an AFP object (called by Maker).

Parameters:
  `parent` - the parent formatting object
  `name` - the name of the afp element

Method Detail

### startOfNode

    protected void startOfNode()
                        throws FOPException

  Called after processNode() is called. Subclasses can do additional processing.

  Overrides:
    `startOfNode` in class `FONode`
  Throws:
    `FOPException` - if there's a problem during processing

### characters

    protected void characters(char[] data,
                              int start,
                              int length,
                              PropertyList pList,
                              org.xml.sax.Locator locator)
                       throws FOPException

  Adds characters. Does nothing by default. To be overridden in subclasses that allow `#PCDATA` content.

  Overrides:
    `characters` in class `FONode`
  Parameters:
    `data` - array of characters containing text to be added
    `start` - starting array element to add
    `length` - number of elements to add
    `pList` - currently applicable PropertyList
    `locator` - location in the XSL-FO source file.
  Throws:
    `FOPException` - if there's a problem during processing

### processNode

    public void processNode(java.lang.String elementName,
                            org.xml.sax.Locator locator,
                            org.xml.sax.Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

  Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

  Overrides:
    `processNode` in class `AbstractAFPExtensionObject`
  Throws:
    `FOPException`

### instantiateExtensionAttachment

    protected ExtensionAttachment instantiateExtensionAttachment()

  Instantiates extension attachment object

  Specified by:
    `instantiateExtensionAttachment` in class `AbstractAFPExtensionObject`
  Returns:
    extension attachment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.